local 轻功列表 = 
{
	["无门派"] = {"新手轻功"};
	["少林"] = {"少林轻功"};
	["明教"] = {"明教轻功"};
	["丐帮"] = {"丐帮轻功"};
	["武当"] = {"武当轻功"};
	["峨嵋"] = {"峨嵋轻功"};
	["星宿"] = {"星宿轻功"};
	["天龙"] = {"天龙轻功"};
	["天山"] = {"天山轻功"};
	["逍遥"] = {"逍遥轻功"};
	["慕容"] = {"慕容轻功"};
	["唐门"] = {"唐门轻功"};
}

local 轻功坐标 = 
{
	[262] = {{213,114},{200,114},{186,115},{144,122},{114,122},{48,135},{40,136},{30,126}};
	[263] = {{112,40},{128,41}};
	[292] = {{144,50},{206,44},{210,57}};
}
local 角色门派 = 取角色门派()
local 间隔时间 = 1000
local 轻功间隔 = 5500
local 秦皇地宫一层 = 262
local 秦皇地宫二层 = 263
local 秦皇地宫三层 = 264
local 秦皇地宫四层 = 292
local Ret = 0


 function 秦皇地宫寻路(地图编号,目的x,目的y)
	local x,y,Hp,Mp,Map = 取角色信息()
	if 地图编号 ~= Map and 在地图("秦皇地宫") ~= 1 then --不在秦皇地宫一层
		打印信息("挂机：前往秦皇地宫一层")
		召唤坐骑(1)
		ID_寻路(220,115,秦皇地宫一层)--寻路到一层断桥
		延迟(间隔时间*2)
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 秦皇地宫一层 then
		地图寻路(220,115)
		召唤坐骑(0)
		for i = 1 ,3 do -- 飞过第一个断桥
			使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
		end
		if 地图编号 == Map and 目的x > 138 and 目的y > 100 then --在一层A点
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
		召唤坐骑(1)
		地图寻路(153,122) -- 寻路到蜘蛛丝
		召唤坐骑(0)
		使用轻功(轻功坐标[Map][4][1],轻功坐标[Map][4][2],轻功列表[角色门派][1])
		延迟(轻功间隔)
		地图寻路(125,122)
		使用轻功(轻功坐标[Map][5][1],轻功坐标[Map][5][2],轻功列表[角色门派][1])
		延迟(轻功间隔)
		if 地图编号 == Map and 目的y > 110 then --到达B区				
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
		召唤坐骑(1)
		地图寻路(60,135)
		召唤坐骑(0)
		for i = 6 ,8 do -- 飞过第单个断桥
			使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
		end
		if 地图编号 == Map then--到达C区
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 秦皇地宫一层 then 
			if 取距离(25,40) > 20 then 召唤坐骑(1) end
			地图寻路(25,40)
			while 取地图编号() ~= 秦皇地宫二层 do 打印信息("传送中...") 延迟(3000) end
		end
	end

	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 秦皇地宫二层 then--2层
		if 目的x < 80 and 目的y > 28 and 目的y < 225 and 地图编号 == Map then				
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return			
		end
		召唤坐骑(1)
		地图寻路(98,40)
		召唤坐骑(0)
		for i = 1 ,2 do 			
			使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
			if Ret == 0 then 地图寻路(115,40) Ret = 1 end
		end
		if 地图编号 == Map then
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 秦皇地宫二层 then 
			if 取距离(96,164) > 20 then 召唤坐骑(1) end
			地图寻路(96,164)
			while 取地图编号() ~= 秦皇地宫三层 do 打印信息("传送中...") 延迟(3000) end
		end
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 秦皇地宫三层 then--3层
		if 地图编号 == Map then
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 秦皇地宫三层 then 
			if 取距离(132,33) > 20 then 召唤坐骑(1) end
			地图寻路(132,33)
			while 取地图编号() ~= 秦皇地宫四层 do 打印信息("传送中...") 延迟(3000) end
		end
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 秦皇地宫四层 then--4层
		if 地图编号 == Map and 目的x < 116 and 目的y > 30 and 目的y < 75 then
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
		召唤坐骑(1)
		地图寻路(133,47)
		召唤坐骑(0)
		使用轻功(轻功坐标[Map][1][1],轻功坐标[Map][1][2],轻功列表[角色门派][1])
		延迟(轻功间隔)
		if 地图编号 == Map and 目的x < 190 and 目的y > 25 and 目的y < 65 then
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
		召唤坐骑(1)
		地图寻路(195,40)
		召唤坐骑(0)
		for i = 2 ,3 do
			使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
			if Ret == 0 or Ret == 1 then 地图寻路(207,46) Ret = 2 end
			延迟(间隔时间)
		end
		打印信息("判断地图")
		if 地图编号 == Map then
			if 取距离(目的x,目的y) > 20 then 召唤坐骑(1) end
			地图寻路(目的x,目的y)
			打印信息("到达指定挂机地点")
			return
		end
	end
end

local 挂机x坐标,挂机y坐标,挂机ID = 获取挂机信息()
打印信息("前往的挂机地点信息："..挂机x坐标..","..挂机y坐标..","..挂机ID)
if 挂机x坐标 ~= 0 and 挂机y坐标 ~= 0 then
	秦皇地宫寻路(挂机ID,挂机x坐标,挂机y坐标)
else
	打印信息("挂机坐标错误")
end